Package com.artofsolving.jodconverter.openoffice.connection

# Class PipeOpenOfficeConnection

java.lang.Object
com.artofsolving.jodconverter.openoffice.connection.AbstractOpenOfficeConnection
com.artofsolving.jodconverter.openoffice.connection.PipeOpenOfficeConnection

All Implemented Interfaces:
  `OpenOfficeConnection`, `com.sun.star.lang.XEventListener`, `com.sun.star.uno.XInterface`, `EventListener`

public class PipeOpenOfficeConnection extends AbstractOpenOfficeConnection
OpenOffice connection using a named pipe

Warning! This requires the sal3 native library shipped with OpenOffice.org; it must be made available via the java.library.path parameter, e.g.

       java -Djava.library.path=/opt/openoffice.org/program my.App

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_PIPE_NAME`

### Fields inherited from class com.artofsolving.jodconverter.openoffice.connection.AbstractOpenOfficeConnection

`logger`

### Fields inherited from interface com.sun.star.lang.XEventListener

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`PipeOpenOfficeConnection()`
`PipeOpenOfficeConnection(String pipeName)`

## Method Summary

### Methods inherited from class com.artofsolving.jodconverter.openoffice.connection.AbstractOpenOfficeConnection

`connect, disconnect, disposing, getBridge, getComponentContext, getDesktop, getFileContentProvider, getRemoteServiceManager, isConnected`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_PIPE_NAME

public static final String DEFAULT_PIPE_NAME

See Also:
  - Constant Field Values

## Constructor Details

### PipeOpenOfficeConnection

public PipeOpenOfficeConnection()

### PipeOpenOfficeConnection

public PipeOpenOfficeConnection(String pipeName)